db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kathey Marsden (JIRA)" <j...@apache.org>
Subject [jira] [Created] (DERBY-5982) sysinfo can report JRE - JDBC: ?-? for java 8
Date Mon, 05 Nov 2012 06:27:12 GMT
Kathey Marsden created DERBY-5982:
-------------------------------------

             Summary: sysinfo can report  JRE - JDBC: ?-? for java 8 
                 Key: DERBY-5982
                 URL: https://issues.apache.org/jira/browse/DERBY-5982
             Project: Derby
          Issue Type: Bug
          Components: Tools
    Affects Versions: 10.8.3.0
            Reporter: Kathey Marsden


Sysinfo can report   JRE - JDBC: ?-?  on java 8 at least on the 10.8 branch, e.g. 
JRE - JDBC: ?-?
.../db-derby-10.8.2.3.1326460/derby.jar] 10.8.2.3 - (1326460)

This method derbyVMLevel() in org.apache.derby.tools.sysinfo.Main has code:

   else if (javaVersion.equals("1.7")) {
                // We don't have full JDBC 4.1 support yet, so still print JDBC
                // 4.0
            return "Java SE 7 - JDBC 4.0";
            }
            else
                return "?-?";

In trunk that code and the output  has been removed completely I think.


--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message